FADVISE(1)

NAME
fadvise - utility to use the posix_fadvise system call

SYNOPSIS

fadvise [-a advice] [-o offset] [-l length] filename

fadvise [-a advice] [-o offset] [-l length] -d file-descriptor

DESCRIPTION

fadvise is a simple command wrapping posix_fadvise(2) system call that is for predeclaring an access pattern for file data.

OPTIONS

-d, --fd file-descriptor
    Apply the advice to the file specified with the file descriptor instead of open a file specified with a file name.

-a, --advice advice
    See the command output with --help option for available values for advice. If this option is omitted, "dontneed" is used as default advice.

-o, --offset offset
    Specifies the beginning offset of the range, in bytes. If this option is omitted, 0 is used as default advice.

-l, --length length
    Specifies the length of the range, in bytes. If this option is omitted, 0 is used as default advice.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

EXIT STATUS

fadvise has the following exit status values:

0
    success

1
    unspecified failure

AUTHORS

SEE ALSO

posix_fadvise(2)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The fadvise command is part of the util-linux package which can be downloaded from